Bug Hunting Session
Bug 93364 - rendercontext: style combo box is not always updated
Summary: rendercontext: style combo box is not always updated
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
5.1.0.0.alpha0+ Master
Hardware: Other All
: medium normal
Assignee: Miklos Vajna
URL:
Whiteboard: target:5.1.0 target:5.0.2
Keywords:
Depends on:
Blocks:
 
Reported: 2015-08-11 15:38 UTC by Miklos Vajna
Modified: 2016-10-25 19:23 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
How it looks like currently (25.41 KB, image/png)
2015-08-11 15:38 UTC, Miklos Vajna
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Miklos Vajna 2015-08-11 15:38:21 UTC
Created attachment 117836 [details]
How it looks like currently

Open attachment 117083 [details] in LO, with:

VCL_DOUBLEBUFFERING_FORCE_ENABLE=1 SAL_USE_VCLPLUGIN=gtk ./soffice.bin

It's possible to select the second paragraph without the update of the style combo box. It should be "Heading 1" but due to the lack of update, it's "Title".
Comment 1 Commit Notification 2015-08-11 19:29:09 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=7305941b150097123eab664f9ec9e5f3909a5c52

tdf#93364 vcl rendercontext: fix area that is painted in PaintBuffer()

It will be available in 5.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 2 Commit Notification 2015-08-12 08:53:54 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "libreoffice-5-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=05bbeebc44c34f4f8938840f96a52afeb4ac49a5&h=libreoffice-5-0

tdf#93364 vcl rendercontext: fix area that is painted in PaintBuffer()

It will be available in 5.0.2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.